Crear lista de precios
curl --request POST \
--url https://api.lapyme.com.ar/api/v1/price-lists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"is_automatic": true,
"automatic_pricing_mode": "base_price_adjustment",
"adjustment_percentage": 4950,
"default_economic_activity": "<string>",
"tax_inclusive": true
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/price-lists"
payload = {
"name": "<string>",
"is_automatic": True,
"automatic_pricing_mode": "base_price_adjustment",
"adjustment_percentage": 4950,
"default_economic_activity": "<string>",
"tax_inclusive": True
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
is_automatic: true,
automatic_pricing_mode: 'base_price_adjustment',
adjustment_percentage: 4950,
default_economic_activity: '<string>',
tax_inclusive: true
})
};
fetch('https://api.lapyme.com.ar/api/v1/price-lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"data": {
"price_list": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_automatic": true,
"adjustment_percentage": 123,
"tax_inclusive": true,
"created_at": "2023-11-07T05:31:56Z",
"object": "<string>"
},
"idempotent_replay": true
},
"warnings": [
"<unknown>"
]
}{
"request_id": "req_price_list_create_1",
"error": {
"code": "INVALID_REQUEST",
"message": "Invalid request for creating price lists",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_price_list_create_1",
"error": {
"code": "AUTHENTICATION_REQUIRED",
"message": "API key is required in the Authorization header",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_price_list_create_1",
"error": {
"code": "FORBIDDEN",
"message": "Your API key does not have permission for this operation",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_price_list_create_1",
"error": {
"code": "CONFLICT",
"message": "A price list with this name already exists",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_price_list_create_1",
"error": {
"code": "INTERNAL_ERROR",
"message": "Could not process the price list",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}Crear lista de precios
Crea una lista de precios para vender con reglas y valores comerciales diferenciados.
POST
/
api
/
v1
/
price-lists
Crear lista de precios
Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Headers
Clave única para evitar duplicados al reintentar la misma creación de lista de precios.
ID opcional de la solicitud para trazabilidad. Si se omite, el servidor genera uno.
Body
application/json
Available options:
base_price_adjustment, cost_markup Required range:
-100 <= x <= 10000Pattern:
^\d{6}$Was this page helpful?
⌘I

